Retrieve all trips in a zone.

Submit a query to retrieve a list of all the trips associated with a zone.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Interplai-specified identifier of the zone.

Query Params
int32
1 to 100
Defaults to 10

The maximum number of API key records to be returned. The max can be set anywhere between 1 and 100.

string
Defaults to 1

Set the page number to skip over a certain number of records. Each page will contain the number of records set by the limit. For example, if limit is set to 10 and page is set to 5, then the first four pages are skipped corresponding to records 1-40, and page 5 is displayed with records 41-50.

string
enum
Defaults to createdTimestamp

By default, records are retrieved in descending order by the createdTimestamp field. The sort order can be changed using the orderby parameter and setting it to any field in an object.

Allowed:
string
enum
Defaults to desc

Choose for records to be in descending or ascending order.

desc : records are displayed in descending order.

asc : records are displayed in ascending order.

Allowed:
string

Filter trips by userTripIds. userTripIds has to be provided in comma-separated values. For example v1/zones/zoneid/trips?userTripIds=usertrip1,usertrip2,usertrip3

string
enum

Filter trips by status.

queuing : denotes the un-optimized trips that are waiting in the queue to be optimized.

optimizing : denotes the trips that are getting optimized currently.

optimized : denotes the trips that have been optimized recently.

assigned : denotes the trip is assigned to the driver and is accepted by customer.

pickedUp : denotes the trip assigned has been picked up by the driver.

droppedOff : denotes the assigned trip has been dropped.

cancelled : denotes the trip is cancelled by the customer.

expired : denotes the time-window of the trip is expired and will no longer be optimized.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json